Update failed : Error updating Home Assistant Core Another job is running for job group home_assistant_core

Hello,

On a fresh Home assistant install running on a Debian server, I’m having this error when I try to update.

Information :

  • Current version : 2023.8.1
  • Target version : 2023.8.3

Any help welcome !

Thanks !

Found some logs is the syslog :

2023-08-22T10:05:36.095225+02:00 bart hassio_supervisor[827]: #033[31m23-08-22 10:05:36 ERROR (MainThread) [supervisor.misc.tasks] Watchdog found a problem with Home Assistant API!#033[0m
2023-08-22T10:05:36.096709+02:00 bart hassio_supervisor[827]: #033[31m23-08-22 10:05:36 ERROR (MainThread) [supervisor.misc.tasks] Home Assistant watchdog reanimation failed!#033[0m
2023-08-22T10:05:37.295045+02:00 bart homeassistant[827]: #033[31m2023-08-22 10:05:37.290 ERROR (MainThread) [homeassistant.components.websocket_api.http.connection] [139700254998720] Error updating Home Assistant Core Another job is running for job group home_assistant_core
2023-08-22T10:05:37.298894+02:00 bart homeassistant[827]: Traceback (most recent call last):
2023-08-22T10:05:37.299177+02:00 bart homeassistant[827]:   File "/usr/src/homeassistant/homeassistant/components/hassio/update.py", line 303, in async_install
2023-08-22T10:05:37.299440+02:00 bart homeassistant[827]:     await async_update_core(self.hass, version=version, backup=backup)
2023-08-22T10:05:37.299715+02:00 bart homeassistant[827]:   File "/usr/src/homeassistant/homeassistant/components/hassio/handler.py", line 52, in _wrapper
2023-08-22T10:05:37.299959+02:00 bart homeassistant[827]:     raise HassioAPIError(data["message"])
2023-08-22T10:05:37.300207+02:00 bart homeassistant[827]: homeassistant.components.hassio.handler.HassioAPIError: Another job is running for job group home_assistant_core
2023-08-22T10:05:37.300497+02:00 bart homeassistant[827]: 
2023-08-22T10:05:37.300766+02:00 bart homeassistant[827]: The above exception was the direct cause of the following exception:
2023-08-22T10:05:37.301045+02:00 bart homeassistant[827]: 
2023-08-22T10:05:37.301279+02:00 bart homeassistant[827]: Traceback (most recent call last):
2023-08-22T10:05:37.301549+02:00 bart homeassistant[827]:   File "/usr/src/homeassistant/homeassistant/components/websocket_api/commands.py", line 226, in handle_call_service
2023-08-22T10:05:37.301822+02:00 bart homeassistant[827]:     await hass.services.async_call(
2023-08-22T10:05:37.301997+02:00 bart homeassistant[827]:   File "/usr/src/homeassistant/homeassistant/core.py", line 1974, in async_call
2023-08-22T10:05:37.302179+02:00 bart homeassistant[827]:     response_data = await coro
2023-08-22T10:05:37.302358+02:00 bart homeassistant[827]:                     ^^^^^^^^^^
2023-08-22T10:05:37.302526+02:00 bart homeassistant[827]:   File "/usr/src/homeassistant/homeassistant/core.py", line 2011, in _execute_service
2023-08-22T10:05:37.302676+02:00 bart homeassistant[827]:     return await target(service_call)
2023-08-22T10:05:37.302822+02:00 bart homeassistant[827]:            ^^^^^^^^^^^^^^^^^^^^^^^^^^
2023-08-22T10:05:37.303026+02:00 bart homeassistant[827]:   File "/usr/src/homeassistant/homeassistant/helpers/entity_component.py", line 235, in handle_service
2023-08-22T10:05:37.303199+02:00 bart homeassistant[827]:     return await service.entity_service_call(
2023-08-22T10:05:37.303366+02:00 bart homeassistant[827]:            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
2023-08-22T10:05:37.303523+02:00 bart homeassistant[827]:   File "/usr/src/homeassistant/homeassistant/helpers/service.py", line 870, in entity_service_call
2023-08-22T10:05:37.303718+02:00 bart homeassistant[827]:     response_data = await _handle_entity_call(
2023-08-22T10:05:37.303878+02:00 bart homeassistant[827]:                     ^^^^^^^^^^^^^^^^^^^^^^^^^^
2023-08-22T10:05:37.304026+02:00 bart homeassistant[827]:   File "/usr/src/homeassistant/homeassistant/helpers/service.py", line 942, in _handle_entity_call
2023-08-22T10:05:37.304215+02:00 bart homeassistant[827]:     result = await task
2023-08-22T10:05:37.304979+02:00 bart homeassistant[827]:              ^^^^^^^^^^
2023-08-22T10:05:37.305180+02:00 bart homeassistant[827]:   File "/usr/src/homeassistant/homeassistant/components/update/__init__.py", line 157, in async_install
2023-08-22T10:05:37.305352+02:00 bart homeassistant[827]:     await entity.async_install_with_progress(version, backup)
2023-08-22T10:05:37.305506+02:00 bart homeassistant[827]:   File "/usr/src/homeassistant/homeassistant/components/update/__init__.py", line 421, in async_install_with_progress
2023-08-22T10:05:37.305685+02:00 bart homeassistant[827]:     await self.async_install(version, backup)
2023-08-22T10:05:37.305852+02:00 bart homeassistant[827]:   File "/usr/src/homeassistant/homeassistant/components/hassio/update.py", line 305, in async_install
2023-08-22T10:05:37.306058+02:00 bart homeassistant[827]:     raise HomeAssistantError(
2023-08-22T10:05:37.306235+02:00 bart homeassistant[827]: homeassistant.exceptions.HomeAssistantError: Error updating Home Assistant Core Another job is running for job group home_assistant_core#033[0m

Hi,

Any suggestion or ideas to debug ?
Thanks

Ronan

What kind of install (supervised, VM, docker…??) and what version of debian. Whithout that info, no one really knows where to start.

Did you ever get this resolved? I have the same issue.

Hello,
I have the same issue as well. I am running version 2023.8.1 on ha os 10.5, on a raspberry 3.
If somehow you got your problem solved or if someone understands what’s happening here, I’d be grateful to have a little help on this one.
See the log below.

Thanks a lot.

Logger: homeassistant.components.websocket_api.http.connection
Source: components/hassio/update.py:305 
Integration: Home Assistant WebSocket API (documentation, issues) 
First occurred: 18:05:49 (1 occurrences) 
Last logged: 18:05:49

[547655737664] Error updating Home Assistant Core Another job is running for job group home_assistant_core
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/hassio/update.py", line 303, in async_install
    await async_update_core(self.hass, version=version, backup=backup)
  File "/usr/src/homeassistant/homeassistant/components/hassio/handler.py", line 52, in _wrapper
    raise HassioAPIError(data["message"])
homeassistant.components.hassio.handler.HassioAPIError: Another job is running for job group home_assistant_core

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/websocket_api/commands.py", line 226, in handle_call_service
    await hass.services.async_call(
  File "/usr/src/homeassistant/homeassistant/core.py", line 1974, in async_call
    response_data = await coro
                    ^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/core.py", line 2011, in _execute_service
    return await target(service_call)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/helpers/entity_component.py", line 235, in handle_service
    return await service.entity_service_call(
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/helpers/service.py", line 870, in entity_service_call
    response_data = await _handle_entity_call(
                    ^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/helpers/service.py", line 942, in _handle_entity_call
    result = await task
             ^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/components/update/__init__.py", line 157, in async_install
    await entity.async_install_with_progress(version, backup)
  File "/usr/src/homeassistant/homeassistant/components/update/__init__.py", line 421, in async_install_with_progress
    await self.async_install(version, backup)
  File "/usr/src/homeassistant/homeassistant/components/hassio/update.py", line 305, in async_install
    raise HomeAssistantError(
homeassistant.exceptions.HomeAssistantError: Error updating Home Assistant Core Another job is running for job group home_assistant_core